WP42HeaderFooterGroup Class Reference documentation

WP42HeaderFooterGroup Class Reference

`#include <WP42HeaderFooterGroup.h>`

Inheritance diagram for WP42HeaderFooterGroup:

## Public Member Functions
| WP42HeaderFooterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP42HeaderFooterGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP42Listener *listener) override
Public Member Functions inherited from WP42MultiByteFunctionGroup
| WP42MultiByteFunctionGroup (unsigned char group)
| ~WP42MultiByteFunctionGroup () override
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()

## Private Member Functions
| WP42HeaderFooterGroup (const WP42HeaderFooterGroup &)
WP42HeaderFooterGroup & | operator= (const WP42HeaderFooterGroup &)

## Private Attributes
unsigned char | m_definition
std::shared_ptr< WP42SubDocument > | m_subDocument

## Additional Inherited Members
Static Public Member Functions inherited from WP42MultiByteFunctionGroup
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP42MultiByteFunctionGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## ◆ WP42HeaderFooterGroup() [1/2]

WP42HeaderFooterGroup::WP42HeaderFooterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

Referenced by operator=(), and WP42HeaderFooterGroup().

## ◆ ~WP42HeaderFooterGroup()

WP42HeaderFooterGroup::~WP42HeaderFooterGroup | ( |  | ) |
| override

## ◆ WP42HeaderFooterGroup() [2/2]

WP42HeaderFooterGroup::WP42HeaderFooterGroup | ( | const WP42HeaderFooterGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP42HeaderFooterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Implements WP42MultiByteFunctionGroup.

## ◆ operator=()

WP42HeaderFooterGroup & WP42HeaderFooterGroup::operator= | ( | const WP42HeaderFooterGroup & |  | ) |
| private

## ◆ parse()

void WP42HeaderFooterGroup::parse | ( | WP42Listener * | listener | ) |
| overridevirtual

Implements WP42Part.

## Member Data Documentation

## ◆ m_definition

unsigned char WP42HeaderFooterGroup::m_definition
| private

Referenced by _readContents(), parse(), and WP42HeaderFooterGroup().

## ◆ m_subDocument

std::shared_ptr<WP42SubDocument> WP42HeaderFooterGroup::m_subDocument
| private

Referenced by _readContents(), parse(), and WP42HeaderFooterGroup().

The documentation for this class was generated from the following files:

- WP42HeaderFooterGroup.h
- WP42HeaderFooterGroup.cpp